#!/usr/bin/python

import os
import sys
import fileinput
import string

links_file="/afs/pdc.kth.se/home/g/gostl/Private/Storage/Projects/maxLink/Human.Version_1.00.4classes.fc.joined.new"
#q_genes_file="/afs/pdc.kth.se/home/g/gostl/maxLink/Pack/input/cgc+uniQ.genes"

q_genes_file="/tmp/beaaa"
cutoff = 8.0




links_f = open(links_file, "r")
q_genes_f = open(q_genes_file, "r")

q_genes = set()
total_genes = set()

beenhere = 0
for line in q_genes_f:
  if beenhere == 0:
    beenhere = 1
    continue
  q_genes.add(string.strip(line))

link_non_q_to_q = 0
link_non_q_to_q_over_cutoff = 0

link_count_over_cutoff = 0
link_count = 0
beenhere = 0
for line in links_f:
  # just skip the first line it contains a header
  if beenhere == 0:
    beenhere = 1
    continue
  vec = line.split('\t')
  prot1 = vec[5]
  prot2 = vec[6]

  fbs = vec[0]
  link_count = link_count + 1
  if float(fbs) <= cutoff:
    link_count_over_cutoff = link_count_over_cutoff + 1
    total_genes.add(prot1)
    total_genes.add(prot2)
    prot1found = prot1 in q_genes
    prot2found = prot2 in q_genes
    if ( prot1found or prot2found ) and not ( prot1found and prot2found ):
      link_non_q_to_q = link_non_q_to_q + 1


#print "start"
#for gene in q_genes:
#  if gene in total_genes:
#    print gene
#print "end"

print "total number of genes = %i" % (len(total_genes))
print "total number of links ( over cutoff %f )= %i" % (cutoff, link_count_over_cutoff)
print "total number of links = %i" % (link_count)




print "link_non_q_to_q = %i" % (link_non_q_to_q)
print " ( link_count - link_non_q_to_q ) /link_non_q_to_q  = %f" % (   float(link_count - link_non_q_to_q ) /float(link_non_q_to_q )        )



print "link_non_q_to_q_over_cutoff = %i" % (link_non_q_to_q_over_cutoff)
print " ( link_count_over_cutoff - link_non_q_to_q_over_cutoff )/link_non_q_to_q_over_cutoff   = %f" % (  float(link_count_over_cutoff - link_non_q_to_q_over_cutoff ) / float(link_non_q_to_q_over_cutoff )       )







