

find_path(XSDE_INCLUDE_DIR NAMES xsde/cxx/version.hxx PATH_SUFFIXES libxsde PATHS
  "[HKEY_CURRENT_USER]\\software\\xsde\\include]"
  "[HKEY_CURRENT_USER]\\xsde\\include]"
  $ENV{XSDEDIR}/include
  $ENV{XSDEDIR}
  $ENV{XSDEDIR}/libxsde
  /usr/include
  /usr/local/include
  CMAKE_FIND_ROOT_PATH_BOTH
)
# PATH_SUFFIXES libxsde

find_program(XSDE_EXECUTABLE
   NAMES xsde xsdecxx
# maybe Ubuntu will call xsde -> xsdecxx 
# Just speculating
   PATHS "[HKEY_CURRENT_USER]\\xsd\\bin"
    $ENV{XSDEDIR}/bin
   /usr/bin
   /usr/local/bin
)


find_library(XSDE_LIBRARIES NAMES libxsde.a PATH_SUFFIXES libxsde/xsde )

if(NOT XSDE_INCLUDE_DIR )
    message(FATAL_ERROR "xsde include dir not found" )
endif()

# if(NOT XSDE_LIBRARIES )
# message(FATAL_ERROR "libxsde not found" )
# endif()

if( NOT XSDE_EXECUTABLE)
    message(FATAL_ERROR "xsde binary not found" )
endif()


